struct ff_ramp_effect
Prev | Chapter 25. Input Subsystem | Next

## Name

struct ff_ramp_effect — defines parameters of a ramp force-feedback effect

## Synopsis

    struct ff_ramp_effect {
      __s16 start_level;
      __s16 end_level;
      struct ff_envelope envelope;
    };

## Members

start_level

  beginning strength of the effect; may be negative

end_level

  final strength of the effect; may be negative

envelope

  envelope data

Prev | Up | Next
struct ff_constant_effect | Home | struct ff_condition_effect